Subject: Re: [XCON] WG Adoption? draft-sandbakken-xcon-bfcp-udp-02

From: "Tom Kristensen" <[email-masked]>
Date: Sat, 3 Jul 2010 09:41:03 +0200

The momentum should be stronger this time, cf. the expressed support and need for this solution from various vendors. Also, the IMTC consortium has based it's best current practice document on the UDP/BFCP solution and sees a immediate need for it in order to deploy BFCP based solutions in the videoconferencing industry.

We'll contact the XCON chairs directly to find a way to proceed. I can understand the desire to close XCON as the CCMP drafts are now "last called", here's where Mary Barnes' AD sponsored draft path forward seems tempting.

Cheers,
-- Tom

-----Original Message-----
From: Gonzalo Camarillo [mailto:[email-masked]]
Sent: Tue 2010-06-29 13:33
To: Roni Even
Cc: 'Mary Barnes'; 'Richard L. Barnes'; 'Alan Johnston'; Tom Kristensen; Mark Thompson; 'DRAGE, Keith (Keith)'; [email-masked]
Subject: Re: [XCON] WG Adoption? draft-sandbakken-xcon-bfcp-udp-02
 
Hi,

yes, I had even the draft sources ready to start working on my hard
disk... but, unfortunately, all the energy around it suddenly
disappeared (for a number of reasons)... and I decided not to push this
by myself.

I hope the momentum around resolving this issue is stronger this time...

Cheers,

Gonzalo

On 24/06/2010 5:40 PM, Roni Even wrote:
> Mary,
> I think that in the discussion in the past, Gonzalo suggested to do a bis
> draft to RFC 4582. I think he mentioned other issues he wanted to update.
> Roni Even
> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>> Mary Barnes
>> Sent: Wednesday, June 23, 2010 7:26 PM
>> To: Richard L. Barnes
>> Cc: Tom Kristensen; DRAGE, Keith (Keith); [email-masked]; Mark Thompson;
>> Alan Johnston
>> Subject: Re: [XCON] WG Adoption? draft-sandbakken-xcon-bfcp-udp-02
>>
>> I have reviewed the draft in question and while I agree that this
>> could be viewed as a workaround for some more general problems that
>> need to be solved, there is a current industry need for the solution
>> in this draft.   If the general problems described go to DISPATCH
>> (which is the appropriate thing to do rather than bringing this
>> specific document), the timeframe for getting agreement on the problem
>> to be solved and for the solutions to be agreed would be far longer
>> IMHO than if this document were progressed. If XCON would prefer to
>> close the WG without progressing this document (in this form or as a
>> -bis to RFC  4582), my suggestion would be to do as was done for the
>> remaining SIP and SIPPING documents and progress this item as an
>> individual AD sponsored.
>>
>> Mary.
>>
>> On Thu, Jun 10, 2010 at 8:18 AM, Richard L. Barnes <[email-masked]>
>> wrote:
>>> <hat type="individual"/>
>>>
>>> I tend to agree with Lorenzo that DISPATCH would be a better place to
>> have
>>> these discussions, especially given that, as far as I can tell from
>> this
>>> thread, the problem seems to be a general one of NAT traversal for
>> TCP.
>>>
>>>
>>>
>>> On Jun 10, 2010, at 7:00 AM, Lorenzo Miniero wrote:
>>>
>>>> Hi all,
>>>>
>>>> with respect to this topic, I think there are many issues
>> implementers
>>>> have to face when bringing IETF solutions to the real world. We
>> found
>>>> ourselves many times in a situation in which some kind of work-
>> around
>>>> had to be devised in order to let things work properly. Just to cite
>> a
>>>> couple of examples, with BFCP we had to find a way to let it work in
>> a
>>>> distributed conferencing scenario (which is far from easy, given the
>>>> intrinsic centralized model behind such protocol). In such case, we
>>>> decided to encapsulate BFCP messages in the body of XMPP
>>>> server-to-server packets (see the XCON-DCON Synchronization Protocol
>> in
>>>> draft-romano-dcon-xdsp-reqs-06 for the details) and then even
>> devised
>>>> a BFCP-XMPP gateway for such a purpose. With respect to the NAT
>>>> traversal issue, we also implemented an HTTP encapsulation. Moving
>>>> further we even conceived a DTMF-based frontend to BFCP ;) and also
>>>> almost thought about a BFCP-over-RTP approach.
>>>>
>>>> That said, I nevertheless agree with Keith on the discussion. Those
>>>> problems may be common to other TCP-based protocols as well, and as
>> such
>>>> a generic solution (generic TCP over UDP, for instance, or anything
>>>> else) may be a much better approach than doing a protocol specific
>>>> patch. Besides, whatever the solution, it should also take care of
>> how
>>>> the negotiation of such channels would be affected (as is the
>>>> case of RFC4583 for BFCP, which the proposed draft actually does).
>>>>
>>>> As Keith already suggested, DISPATCH may be a much better place to
>>>> discuss this issue: DISPATCH is where we'll also propose the above
>>>> mentioned DCON work.
>>>>
>>>> Lorenzo
>>>>
>>>>
>>>>
>>>> On Thu, 10 Jun 2010 08:22:55 +0300
>>>> "Roni Even" <[email-masked]> wrote:
>>>>
>>>>> Hi  Keith,
>>>>>
>>>>> I think that the IETF is trying to design protocols that will work
>> over
>>>>> the
>>>>> Internet and also to enable interoperability between independent
>>>>> implementations.
>>>>>
>>>>> In the BFCP case the shipping implementations support TCP as the
>>>>> transport
>>>>> protocol but they encountered issues when running over the Internet
>> due
>>>>> to
>>>>> devices like SBCs and due to lack of support for TCP media relay or
>>>>> ICE-TCP
>>>>> [I-D.ietf-mmusic-ice-tcp].
>>>>> When implementations looked at how to address the issue, the
>>>>> interoperability went away since there is no fall back solution for
>> this
>>>>> real life case. Some did a fall back to HTTP and some did to UDP
>> but not
>>>>> in
>>>>> an interoperable way.
>>>>>
>>>>> In order to achieve interoperability, this draft is trying to
>> extend the
>>>>> current BFCP. It is not suggesting to replace TCP but to keep TCP
>> as the
>>>>> mandatory transport and use UDP as fallback if unable to establish
>> TCP
>>>>> connection.
>>>>>
>>>>> As for security, if the topic will be adopted the solution will be
>>>>> updated
>>>>> to use DTLS as the transport for BFCP.
>>>>>
>>>>> I hope that people will read the draft and look at the objectives
>> and the
>>>>> proposed solution.
>>>>>
>>>>>
>>>>> BTW: This is a problem for client to client media connections over
>> TCP
>>>>> and
>>>>> my understanding is that RTSP offers to use both TCP and UDP since
>> both
>>>>> are
>>>>> specified. Since BFCP is not a payload but is running in parallel
>> to the
>>>>> RTP
>>>>> payload (for the point to point calls or MCU based multipoint) it
>> needs
>>>>> similar transport options.
>>>>>
>>>>> Thanks
>>>>> Roni Even
>>>>>
>>>>>
>>>>>
>>>>>
>>>>>> -----Original Message-----
>>>>>> From: DRAGE, Keith (Keith) [mailto:[email-masked]]
>>>>>> Sent: Thursday, June 10, 2010 1:54 AM
>>>>>> To: Roni Even; 'Richard L. Barnes'; 'Tom Kristensen'
>>>>>> Cc: 'Mark Thompson'; 'Alan Johnston'; 'Tom Kristensen';
>> [email-masked]
>>>>>> Subject: RE: [XCON] WG Adoption? draft-sandbakken-xcon-bfcp-udp-02
>>>>>>
>>>>>> What you are essentially saying is that all protocols in the
>> future
>>>>>> that need reliable transport, as BFCP does, have to design in
>> their own
>>>>>> reliable transport element so they can use UDP. This is not a BFCP
>>>>>> specific issue.
>>>>>>
>>>>>> I find that an unacceptable direction for IETF to be heading in.
>>>>>>
>>>>>> I would also note that you are also asking for adoption of a
>> document
>>>>>> that cannot in its current form meet the security requirements of
>> the
>>>>>> original RFC.
>>>>>>
>>>>>> regards
>>>>>>
>>>>>> Keith
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>>> -----Original Message-----
>>>>>>> From: Roni Even [mailto:[email-masked]]
>>>>>>> Sent: Wednesday, June 09, 2010 1:40 PM
>>>>>>> To: 'Richard L. Barnes'; 'Tom Kristensen'
>>>>>>> Cc: 'Mark Thompson'; DRAGE, Keith (Keith); 'Alan Johnston';
>>>>>>> 'Tom Kristensen'; [email-masked]
>>>>>>> Subject: RE: [XCON] WG Adoption? draft-sandbakken-xcon-bfcp-udp-
>> 02
>>>>>>>
>>>>>>> Richard,
>>>>>>> The BFCP I used as a presentation token for video
>>>>>>> conferencing. What the implementers found out that TCP does
>>>>>>> not work in real networks due to Session border controllers
>>>>>>> not supporting TCP as used in BFCP.
>>>>>>> This is why in products they try to establish TCP connection
>>>>>>> and if fails tries UDP.
>>>>>>> The video conferencing vendors participating in the IMTC sip
>>>>>>> parity activity group defined an interoperability profile
>>>>>>> that references this option Roni Even
>>>>>>>
>>>>>>>> -----Original Message-----
>>>>>>>> From: [email-masked] [mailto:[email-masked]]
>>>>>>>
>>>>>>> On Behalf
>>>>>>>>
>>>>>>>> Of Richard L. Barnes
>>>>>>>> Sent: Wednesday, June 09, 2010 3:34 PM
>>>>>>>> To: Tom Kristensen
>>>>>>>> Cc: Mark Thompson; DRAGE, Keith (Keith); Alan Johnston; Tom
>>>>>>>> Kristensen; [email-masked]
>>>>>>>> Subject: Re: [XCON] WG Adoption? draft-sandbakken-xcon-bfcp-udp-
>> 02
>>>>>>>>
>>>>>>>> Tom and others who are interested in this draft:
>>>>>>>>
>>>>>>>> For those who are relatively new here: Could you summarize why
>> you
>>>>>>>> think this draft is needed?  What requirement does it meet
>>>>>>>
>>>>>>> that BFCP
>>>>>>>>
>>>>>>>> doesn't right now?
>>>>>>>>
>>>>>>>> Thanks,
>>>>>>>> --Richard
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> On Jun 9, 2010, at 7:37 AM, Tom Kristensen wrote:
>>>>>>>>
>>>>>>>>> The UDP/BFCP draft has been presented and discussed in
>>>>>>>
>>>>>>> two or three
>>>>>>>>>
>>>>>>>>> IETF XCON sessions. No objection to the work being
>>>>>>>
>>>>>>> carried on, just
>>>>>>>>>
>>>>>>>>> that adoption as WG item was postponed until the draft was more
>>>>>>>>> complete. (This has been delayed of various reasons, but
>>>>>>>
>>>>>>> the authors
>>>>>>>>>
>>>>>>>>> believe the -02 version in question here should be ready for
>>>>>>>>> adoption).
>>>>>>>>>
>>>>>>>>> The "current status of consensus" might be valid for some, but
>>>>>>>>> participants in the XCON sessions and the minutes of meeting
>> show
>>>>>>>>> progress away from that initial consensus.
>>>>>>>>>
>>>>>>>>> I believe Ott's concerns are either dealt with or at
>>>>>>>
>>>>>>> least mentioned
>>>>>>>>>
>>>>>>>>> in the draft. Arrest me if I'm wrong.
>>>>>>>>>
>>>>>>>>> -- Tom
>>>>>>>>>
>>>>>>>>> On 9 June 2010 13:20, DRAGE, Keith (Keith)
>>>>>>>>> <[email-masked]> wrote:
>>>>>>>>>>
>>>>>>>>>> We made an explicit decision in the original draft that
>>>>>>>
>>>>>>> UDP was not
>>>>>>>>>>
>>>>>>>>>> required, not that we would do it later. That as far as I am
>>>>>>>>>> concerned represents the current status of consensus.
>>>>>>>>>>
>>>>>>>>>> This was done on the basis that we had all seen how UDP
>>>>>>>
>>>>>>> support had
>>>>>>>>>>
>>>>>>>>>> complicated SIP, and we did not want to repeat that issue.
>>>>>>>>>>
>>>>>>>>>> So this is not continuing the work. The status is an
>>>>>>>
>>>>>>> author draft
>>>>>>>>>>
>>>>>>>>>> which goes against a WG consensus position.
>>>>>>>>>>
>>>>>>>>>> I believe Georg Ott also expressed some concerns which I did
>> not
>>>>>>>>>> see answered on list at all.
>>>>>>>>>>
>>>>>>>>>> regards
>>>>>>>>>>
>>>>>>>>>> Keith
>>>>>>>>>>
>>>>>>>>>>> -----Original Message-----
>>>>>>>>>>> From: [email-masked] [mailto:[email-masked]] On
>>>>>>>>>>> Behalf Of Roni Even
>>>>>>>>>>> Sent: Tuesday, June 08, 2010 7:35 PM
>>>>>>>>>>> To: 'Alan Johnston'; 'Tom Kristensen'
>>>>>>>>>>> Cc: 'Mark Thompson'; [email-masked]
>>>>>>>>>>> Subject: Re: [XCON] WG Adoption?
>>>>>>>
>>>>>>> draft-sandbakken-xcon-bfcp-udp-02
>>>>>>>>>>>
>>>>>>>>>>> Hi Alan,
>>>>>>>>>>> I support this work and think it is urgent to finish it.
>>>>>>>>>>> I think that updating BFCP with UDP support is very
>>>>>>>
>>>>>>> important. I
>>>>>>>>>>>
>>>>>>>>>>> would like to mention that BFCP is being used in video
>>>>>>>>>>> conferencing application and since the implementers
>> encountered
>>>>>>>>>>> problems with TCP they use a fall back to UDP.
>>>>>>>>>>> We discussed this work in previous IETF meeting and
>>>>>>>
>>>>>>> Gonzalo as far
>>>>>>>>>>>
>>>>>>>>>>> as I remember suggested to add it to a BFCP bis draft.
>>>>>>>>>>>
>>>>>>>>>>> Thanks
>>>>>>>>>>> Roni Even
>>>>>>>>>>>
>>>>>>>>>>>> -----Original Message-----
>>>>>>>>>>>> From: [email-masked] [mailto:[email-masked]]
>>>>>>>>>>>
>>>>>>>>>>> On Behalf
>>>>>>>>>>>>
>>>>>>>>>>>> Of Alan Johnston
>>>>>>>>>>>> Sent: Tuesday, June 08, 2010 7:44 PM
>>>>>>>>>>>> To: Tom Kristensen
>>>>>>>>>>>> Cc: Mark Thompson; [email-masked]
>>>>>>>>>>>> Subject: Re: [XCON] WG Adoption?
>>>>>>>>>>>> draft-sandbakken-xcon-bfcp-udp-02
>>>>>>>>>>>>
>>>>>>>>>>>> Tom,
>>>>>>>>>>>>
>>>>>>>>>>>> Apologies for the delay in replying.  As you know, the
>>>>>>>>>>>
>>>>>>>>>>> working group
>>>>>>>>>>>>
>>>>>>>>>>>> is in the process of completing its final milestones.
>>>>>>>>>>>> Publication requests will be issued in the next few
>>>>>>>
>>>>>>> days for the
>>>>>>>>>>>>
>>>>>>>>>>>> data
>>>>>>>>>>>
>>>>>>>>>>> model, CCMP,
>>>>>>>>>>>>
>>>>>>>>>>>> and the Examples drafts.
>>>>>>>>>>>>
>>>>>>>>>>>> Taking on any new milestones for the working group
>>>>>>>
>>>>>>> would require:
>>>>>>>>>>>>
>>>>>>>>>>>> 1. Strong support and interest from working group
>>>>>>>
>>>>>>> participants 2.
>>>>>>>>>>>>
>>>>>>>>>>>> Approval of our ADs.
>>>>>>>>>>>>
>>>>>>>>>>>> I haven't seen evidence of either of these at this stage.
>>>>>>>>>>>>
>>>>>>>>>>>> A possible option is to take this work to DISPATCH, get an
>>>>>>>>>>>
>>>>>>>>>>> indication
>>>>>>>>>>>>
>>>>>>>>>>>> of interests, and get feedback on the best way to move
>>>>>>>
>>>>>>> this work
>>>>>>>>>>>>
>>>>>>>>>>>> forward.
>>>>>>>>>>>>
>>>>>>>>>>>> - Alan -
>>>>>>>>>>>> co-chair XCON
>>>>>>>>>>>>
>>>>>>>>>>>>
>>>>>>>>>>>> On 6/7/10 8:22 AM, Tom Kristensen wrote:
>>>>>>>>>>>>>
>>>>>>>>>>>>> The draft draft-sandbakken-xcon-bfcp-udp-02 was submitted
>>>>>>>>>>>
>>>>>>>>>>> early in
>>>>>>>>>>>>>
>>>>>>>>>>>>> March. No comments received since.
>>>>>>>>>>>>>
>>>>>>>>>>>>> We'd like guidance on the next steps. First we ask for
>>>>>>>>>>>
>>>>>>>>>>> adoption as
>>>>>>>>>>>>>
>>>>>>>>>>>>> WG item. Next step would include the merging process with
>> bis
>>>>>>>>>>>>> versions
>>>>>>>>>>>>
>>>>>>>>>>>> of
>>>>>>>>>>>>>
>>>>>>>>>>>>> RFC 4582 and RFC 4583.
>>>>>>>>>>>>>
>>>>>>>>>>>>> We'd like to point out that interested parties for this
>>>>>>>>>>>
>>>>>>>>>>> work indeed
>>>>>>>>>>>>>
>>>>>>>>>>>>> exist.
>>>>>>>>>>>>>
>>>>>>>>>>>>> (For the record: Questions was sent to XCON chairs in
>>>>>>>>>>>
>>>>>>>>>>> April and May.
>>>>>>>>>>>>
>>>>>>>>>>>> See
>>>>>>>>>>>>>
>>>>>>>>>>>>> below. No response given. Therefore, this request on
>>>>>>>
>>>>>>> the list.)
>>>>>>>>>>>>>
>>>>>>>>>>>>> -- Tom
>>>>>>>>>>>>>
>>>>>>>>>>>>> On Wed, 2010-05-12 at 10:43 +0200, Tom Kristensen wrote:
>>>>>>>>>>>>>>
>>>>>>>>>>>>>> Chairs,
>>>>>>>>>>>>>>
>>>>>>>>>>>>>> Any thoughts or decision on this matter?
>>>>>>>>>>>>>>
>>>>>>>>>>>>>> Cheers,
>>>>>>>>>>>>>> -- Tom
>>>>>>>>>>>>>>
>>>>>>>>>>>>>> On Tue, 2010-04-20 at 11:58 +0200, Tom Kristensen wrote:
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> XCON chairs,
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> We submitted draft-sandbakken-xcon-bfcp-udp-02
>>>>>>>
>>>>>>> early in March
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> -
>>>>>>>>>>>>
>>>>>>>>>>>> well in
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> advance of IETF-77.
>>>>>>>>>>>>>>>  http://tools.ietf.org/html/draft-sandbakken-xcon-bfcp-
>>>>>>
>>>>>> udp
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> No comments received. Neither on XCON WG list, nor
>>>>>>>>>>>
>>>>>>>>>>> directly to the
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> authors. Therefore, we ask for adoption of this draft
>>>>>>>>>>>
>>>>>>>>>>> as an XCON
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> WG item.
>>>>>>>>>>>>>>>
>>>>>>>>>>>>>>> -- Tom
>>>>>>>>>>>>>>
>>>>>>>>>>>>>
>>>>>>>>>>>>>
>>>>>>>>>>>> _______________________________________________
>>>>>>>>>>>> XCON mailing list
>>>>>>>>>>>> [email-masked]
>>>>>>>>>>>> https://www.ietf.org/mailman/listinfo/xcon
>>>>>>>>>>>
>>>>>>>>>>> _______________________________________________
>>>>>>>>>>> XCON mailing list
>>>>>>>>>>> [email-masked]
>>>>>>>>>>> https://www.ietf.org/mailman/listinfo/xcon
>>>>>>>>>>>
>>>>>>>>>> _______________________________________________
>>>>>>>>>> XCON mailing list
>>>>>>>>>> [email-masked]
>>>>>>>>>> https://www.ietf.org/mailman/listinfo/xcon
>>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> --
>>>>>>>>> # TANDBERG R&D
>>>>>>>>> ## http://www.tandberg.com
>>>>>>>>> ### http://folk.uio.no/tomkri/
>>>>>>>>> _______________________________________________
>>>>>>>>> XCON mailing list
>>>>>>>>> [email-masked]
>>>>>>>>> https://www.ietf.org/mailman/listinfo/xcon
>>>>>>>>
>>>>>>>> _______________________________________________
>>>>>>>> XCON mailing list
>>>>>>>> [email-masked]
>>>>>>>> https://www.ietf.org/mailman/listinfo/xcon
>>>>>>>
>>>>>>> =
>>>>>
>>>>> _______________________________________________
>>>>> XCON mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/xcon
>>>>>
>>>>
>>>>
>>>> --
>>>> Lorenzo Miniero
>>>> Meetecho s.r.l.
>>>> http://www.meetecho.com/
>>>
>>> _______________________________________________
>>> XCON mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/xcon
>>>
>> _______________________________________________
>> XCON mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/xcon
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xcon
>